# RRZN-Handbuch: Statistik mit R
# Lsungshinweise zu den Aufgaben 
#----------------------------------

# Kapitel 1
#------------

# Aufgabe 1+2: siehe Beschreibungen im Buch

# Aufgabe 3
cos(-1) * sin(sqrt(100 / 33))
10^(abs(log10(acos(0.5))))
log2(choose(10, 4))
tan(1/2) * log(factorial(10))
exp(1i * pi) + 1

# Aufgabe 4
logistisch <- function(x, a, b, c){
  f.x <- a / (1 + b * exp(-c * x))
  return(f.x)
}
logistisch(1, 1, 2, 3)
logistisch(-2, 0.5, 1, 2)
logistisch(0, 3, 0.5, 0.2)
logistisch(0.5, 15, 2, 1)

# Aufgabe 5
berechne.bmi <- function(gewicht, gre) {
  round(gewicht / (gre / 100)^2, 2)
}
# Ein Beispiel mit einer Person, die 1.78 m gro und 69 kg schwer ist:
berechne.bmi(69, 178)

# Aufgabe 6
zinseszins <- function(x, n, r){
  x * (1 + r)^n
}
zinseszins(1000, 10, 0.05)
zinseszins(1000, 100, 0.05)

zinseszins.allg <- function(x, n, m, r) {
  x * (1 + (r / m))^(m * n)
}
zinseszins.allg(1000, 10, 4, 0.05)

# Aufgabe 7
setwd("C:/R-Handbuch")
getwd()
save.image("erster_versuch.RData")

# Aufgabe 8
13 %% 3
13 %/% 3
# Das Ergebnis der Division von 13 durch 3 ist 4 (%/%) Rest 1 (%%). 

# Aufgabe 9 + 10
# Gebe ?atan und ?gamma in die Konsole ein

# Aufgabe 11
# Zeige 10 Nachkommastellen an:
print(sqrt(2), digits = 10)

# Aufgabe 12
install.packages("RQuantLib")
library(RQuantLib)
library(help = "RQuantLib")


# Kapitel 2
#-----------

# Aufgabe 1
d <- 1:5  # alternativ: d <- seq(1, 5)
e <- seq(-0.2, 0.2, 0.1)
f <- rep(0:1, 5)
g <- rep(1:2, each = 5)

# Aufgabe 2
d - e
d * e
t(d) %*% e
d %*% t(e)
cumsum(d) * prod(e)
length(d) * cumprod(e)
c(mean(d), prod(e)) * g
e - seq(1, 3)

# Aufgabe 3
raucher <- factor(f, labels = c("nein", "ja"))
gruppe  <- factor(g, labels = c("Kontrolle", "Experiment"))

# Aufgabe 4
M <- matrix(1:6, ncol = 3)
P <- matrix(c(0, -2, 10, 3, 1.5, 6), ncol = 2, byrow = T)
Q <- matrix(c(1, -0.2, -0.1, -0.5, 1, -0.5, -0.3, -0.2, 1), ncol = 3, byrow = T)

M %*% P 
M %*% Q
M %*% t(Q)
t(M) %*% Q
solve(Q) %*% t(M)
solve(t(Q) %*% Q)

M%*%M
M^2
# Anders als das Matrixprodukt mit %*% berechnet ^ komponentenweise das Quadrat jedes Eintrags von M

# Aufgabe 5
A <- matrix(c(-1, 1/2, 3, -2, -1/3, 2, -1.25, -2.5, -3), ncol = 3, byrow = T)
b <- c(2.5, 5/3, -3)
x <- solve(A, b)
x

# Aufgabe 6
f[c(1, 2, 10)]
f[((1:5) * 2)]
f[((1:5) * 2) - 1]
f[-(2:9)]

# Aufgabe 7
Q[, 3] <- P[, 2]
matrix(c(M[1, 1:2], P[3, ]), nrow = 2, byrow = T)
M[2, ] <- Q[, 3]

# Aufgabe 8
folge.a <- function(n) {
  A <- numeric(n)
  A[1] <- 1
  for(i in seq(along = A)[-1])
    A[i] <- A[i - 1] / (A[i - 1] - 3)
  return(A[n])
}
folge.a(3)
folge.a(5)
folge.a(10)

# Aufgabe 9
fakultt.1 <- function(n) {
  f <- numeric(n)
  f[1] <- 1
  for (i in seq(along = f)[-1])
    f[i] = i * f[i-1]
  return(f[n])
}
fakultt.1(5)

fakultt.2 <- function(n) {
  s <- 1
  x <- 1
  while(s <= n) {
    x <- x * s
    s <- s + 1
  }
  return(x)
}
fakultt.2(5)

fakultt.1 <- function(n) {
  # berprfe ob n eine natrliche Zahl ist
  if (n != round(abs(n))) 
    print("Achtung: Argument keine natrliche Zahl") else {
    f <- numeric(n)
    f[1] <- 1
    for (i in seq(along = f)[-1])
      f[i] = i * f[i-1]
    return(f[n])
  }
}
fakultt.1(5)
fakultt.1(5.1)
fakultt.1(-5.1)
# analog mit fakultt.2


# Kapitel 3
#-----------

# Aufgabe 1
studiendaten <- data.frame(raucher, gruppe)
save(file = "C:/R/Ausgaben/studiendaten.RData", studiendaten)
write.csv2(studiendaten, "C:/R/Ausgaben/studiendaten.csv", 
  quote = F, row.names = F)

# Aufgabe 2
library(XLConnect)
wb          <- loadWorkbook("C:/R/Rohdaten/exceldaten.xlsx")
excel.tab.1 <- readWorksheet(wb, sheet = "Tabelle2") 
# falls Beispiel 3.2.5 ausgefhrt wurde, gengt die letzte Zeile des Befehls

save(file = "C:/R/Ausgaben/fremdformate.RData", excel.tab, excel.tab.1, spss.daten)

# Aufgabe 3
try(data(package = "cluster"))
data(animals)
data(flower)
animals
flower
save(file = "C:/R/Ausgaben/clusterdaten.RData", animals, flower)

# Kapitel 4
#-----------

# Aufgabe 1
alter.m.codiert <- (mannfrau$alter.mann <= 43) * 1 + (mannfrau$alter.mann > 43) * 2
alter.m.codiert <- factor(alter.m.codiert, labels = c("jung", "alt"))
gre.f.codiert <-
(mannfrau$gre.frau < 151.0)*1 +
(mannfrau$gre.frau >= 151.0 & mannfrau$gre.frau < 156.0)*2 +
(mannfrau$gre.frau >= 156.0 & mannfrau$gre.frau < 161.0)*3 +
(mannfrau$gre.frau >= 161.0 & mannfrau$gre.frau < 166.0)*4 +
(mannfrau$gre.frau >= 166.0)*5
gre.f.codiert <- factor(gre.f.codiert, labels = c("Kategorie1", "Kategorie2", "Kategorie3", "Kategorie4", "Kategorie5"))
mannfrau <- data.frame(mannfrau, alter.m.codiert, gre.f.codiert)

mannfrau.teil.1 <- subset(mannfrau, alter.f.codiert == "jung")
mannfrau.teil.2 <- subset(mannfrau, alter.mann > 50 | gre.mann > 180)
mannfrau.teil.3 <- subset(mannfrau, alter.frau < 30 & gre.m.codiert %in% c("Kategorie4", "Kategorie5"))
mannfrau.teil.4 <- subset(mannfrau, (gre.m.codiert %in% c("Kategorie1", "Kategorie2")) & !(gre.f.codiert %in% c("Kategorie1", "Kategorie2")))
mannfrau.teil.5 <- subset(mannfrau, (alter.mann > 50 & alter.frau <= 50) | (alter.mann <= 50 & alter.frau > 50))

# Aufgabe 2
haarauge.teil <- haarauge[c(1:10, 100:110), ]
names(haarauge.teil) <- c("augenfarbe", "haarfarbe")
haarauge.teil[order(haarauge.teil$augenfarbe, decreasing = T), ]
haare.kodiert <- (haarauge.teil$haarfarbe %in% c("schwarz", "braun")) * 1 + 
  (haarauge.teil$haarfarbe %in% c("blond", "rot")) * 2
haare.kodiert <- factor(haare.kodiert, labels = c("dunkel", "hell"))
haarauge.teil <- data.frame(haarauge.teil, haare.kodiert)
haarauge.teil <- haarauge.teil[, -2]

# Aufgabe 3
pisa.mittel   <- apply(pisa[, 3:5], 1, mean)
pisa.best     <- apply(pisa[, 3:5], 1, max)
pisa.schlecht <- apply(pisa[, 3:5], 1, min)
pisa          <- data.frame(pisa, pisa.mittel, pisa.best, pisa.schlecht)
pisa.kopie    <- pisa
pisa.kopie    <- pisa.kopie[, -(3:4)]

# Aufgabe 4
bmi <- berechne.bmi(sudan$gewicht, sudan$gre)  # Funktion berechne.bmi() aus den Aufgaben von Kaptiel 1 muss definiert sein
# alternativ: bmi <- round(sudan$gewicht / (sudan$gre / 100)^2, 2)
sudan <- data.frame(sudan, bmi)

map <- sudan$diastolisch + (1 / 3) * (sudan$systolisch- sudan$diastolisch)
sudan <- data.frame(sudan, map)

parasitmie.log <- log(sudan$parasitmie)
sudan <- data.frame(sudan, parasitmie.log)

blutglukose.trans <- 0.0555 * sudan$blutglukose
sudan <- data.frame(sudan, blutglukose.trans)

bmi.kodiert <- (sudan$bmi < 18.5) * 1 + (sudan$bmi >= 18.5 & sudan$bmi < 25) * 2 + (sudan$bmi >= 25) * 3
bmi.kodiert <- factor(bmi.kodiert, labels = c("untergewichtig", "normal", "bergewichtig"))
sudan <- data.frame(sudan, bmi.kodiert)

tabletten.kodiert <- (sudan$tabletten.tag >= 1) * 1
tabletten.kodiert <- factor(tabletten.kodiert, labels = c("keine", "eine oder mehr"))
sudan <- data.frame(sudan, tabletten.kodiert)

alter.kodiert <- (sudan$alter < 20) * 1 + (sudan$alter >= 20 & sudan$alter < 40) * 2 + 
(sudan$alter >= 40 & sudan$alter < 60) * 3 + (sudan$alter >= 60 & sudan$alter < 80) * 4 + 
(sudan$alter >= 80) * 5
alter.kodiert <- factor(alter.kodiert, labels = c("< 20", "20-40", "40-60", "60-80", "80+"))
sudan <- data.frame(sudan, alter.kodiert)

malaria <- subset(sudan, gruppe == "Malaria")
malaria$gruppe <- malaria$diabetes.jahre <- malaria$diabetes.familie <- NULL

dauer.kodiert <- (malaria$dauer > 3) * 1
dauer.kodiert <- factor(dauer.kodiert, labels = c("hchstens 3 Jahre", "mehr als 3 Jahre"))
malaria <- data.frame(malaria, dauer.kodiert)

malaria <- (sudan$gruppe %in% c("Malaria", "Diabetes & Malaria")) * 1
malaria <- factor(malaria, labels = c("negativ", "positiv"))
diabetes <- (sudan$gruppe %in% c("Diabetes", "Diabetes & Malaria")) * 1
diabetes <- factor(diabetes, labels = c("negativ", "positiv"))
sudan <- data.frame(sudan, malaria, diabetes)

teildaten.1 <- subset(sudan, leukozyten > 4000 & parasitmie > 10000)
teildaten.2 <- subset(sudan, diabetes.familie == "ja" | tabletten.tag > 2)
teildaten.3 <- subset(sudan, (tabletten.tag > 1 & dauer.malaria <= 3) | (tabletten.tag <= 1 & dauer.malaria > 3))


# Kapitel 5
#-----------

# Aufgabe 1
sin.cos <- function(x, k) {
  sin(k * cos(2 * x))^2 * cos(x)^2
}

jpeg("C:/R/Ausgaben/polynom.jpg")
plot(seq(-1, 11, 0.01), sin.cos(seq(-1, 11, 0.01), -10), type = "l", xlab = "", ylab = "")
dev.off()

plot(seq(0, 4, 0.01), sin.cos(seq(0, 4, 0.01), 3), type = "l", xlab = "", ylab = "")
lines(seq(0, 4, 0.01), sin.cos(seq(0, 4, 0.01), 4), type = "l", col = "red")
lines(seq(0, 4, 0.01), sin.cos(seq(0, 4, 0.01), 1), type = "l", col = "blue")
legend(1, 0.8, legend = c("k=3", "k=4", "k=1"), fill = c("black", "red", "blue"))

# Aufgabe 2
polynom <- function(x, a, b) {
  x^4 / (a * x^5 + b)
}

plot(seq(0, 10, 0.01), polynom(seq(0, 10, 0.01), 1, 5), type = "l", xlab = "", ylab = "")
lines(seq(0, 10, 0.01), polynom(seq(0, 10, 0.01), 1, 10), type = "l", lty = 2)
lines(seq(0, 10, 0.01), polynom(seq(0, 10, 0.01), 1, 20), type = "l", lty = 3)
legend("topright", legend = c("b=5", "b=10", "b=20"), lty = 1:3)

plot(seq(0, 20, 0.01), polynom(seq(0, 20, 0.01), 1, 10), type = "l")
lines(seq(0, 20, 0.01), polynom(seq(0, 20, 0.01), 2, 10), type = "l", lty = 2)
lines(seq(0, 20, 0.01), polynom(seq(0, 20, 0.01), 5, 20), type = "l", lty = 3)
legend("topright", legend = c("a=1", "a=2", "a=5"), lty = 1:3)

# Aufgabge 3
top.5 <- fussball[1:5, ]
fussball.grafik <- top.5$punkte
names(fussball.grafik) <- top.5$verein
barplot(fussball.grafik, xlab = "Verein", ylab = "Erzielte Punkte", 
  main = "Punkte der besten fnf Mannschaften der Saison 2008/2009")

fussball.grafik <- top.5$tore.hz1 + top.5$tore.hz2
names(fussball.grafik) <- top.5$verein
barplot(fussball.grafik, col = c("darkgreen", "red", "red", "blue", "blue"))

fussball.grafik <- top.5$punkte
names(fussball.grafik) <- top.5$verein
fussball.grafik <- rbind(fussball.grafik, top.5$tore.hz1 + top.5$tore.hz2)
barplot(fussball.grafik, beside = T, legend = c("Punkte", "Tore"))

# Aufgabe 4
pdf("C:/R/Ausgaben/diagramme_mannfrau.pdf")
pie(table(mannfrau$gre.m.codiert))

par(mfrow = c(1, 2))
tapply(mannfrau$gre.m.codiert, mannfrau$alter.m.codiert, 
  function(x) pie(table(x)))
par(mfrow = c(1, 1))

barplot(table(mannfrau$gre.f.codiert))

par(mfrow = c(1, 2))
tapply(mannfrau$gre.f.codiert, mannfrau$alter.f.codiert, 
  function(x) barplot(table(x)))
par(mfrow = c(1, 1))
dev.off()

# Aufgabe 5
sudan.m <- subset(sudan, geschlecht == "mnnlich")
sudan.w <- subset(sudan, geschlecht == "weiblich")
par(mfrow = c(1, 2))
barplot(table(sudan.m$gruppe), main = "Mnner")
barplot(table(sudan.w$gruppe), main = "Frauen")
par(mfrow = c(1, 1))

grafik.sudan <- tapply(sudan$alter, sudan$gruppe, mean)
barplot(grafik.sudan)

grafik.sudan <- rbind(grafik.sudan, tapply(sudan$bmi, sudan$gruppe, mean))
barplot(grafik.sudan, beside = T, legend = c("Alter", "BMI"))



# Kapitel 7
#-----------

# Aufgabe 1
prop.table(table(drosophila$bewegung))
chisq.test(table(drosophila$bewegung), p = rep(1/3, 3))

# Aufgabe 2
gesamt     <- c(1966, 2582, 1392, 2213)
stichprobe <- c(51, 75, 39, 101)
chisq.test(stichprobe, gesamt/sum(gesamt))

# Aufgabe 3
treffer <- table(zecken$borreliose)[1]
gesamt  <- sum(table(zecken$borreliose))
binom.test(treffer, gesamt, p = 1/3)

# Aufgabe 4
binom.test(24, 3939, 4.4 / 1000, alternative = "g")

# Aufgabe 5
binom.test(124, 190, p = 0.57, alternative = "g")

# Aufgabe 6
binom.test(13, 20)
binom.test(65, 100)

# Aufgabe 7
prop.table(table(zwillinge), 2)
fisher.test(table(zwillinge))

# Aufgabe 8
prop.table(table(titanic$berlebt, titanic$klasse), 2)
chisq.test(table(titanic$berlebt, titanic$klasse))

alter.kodiert <- (titanic$alter <= 14) * 1 + (titanic$alter > 14) * 2
alter.kodiert <- factor(alter.kodiert, labels = c("Kind", "Erwachsener"))
prop.table(table(titanic$berlebt, titanic$geschlecht), 2)
prop.table(table(titanic$berlebt, alter.kodiert), 2)
fisher.test(table(titanic$berlebt, titanic$geschlecht))
fisher.test(table(titanic$berlebt, alter.kodiert))

# Aufgabe 9
prop.table(table(sudan$gruppe, sudan$geschlecht), 1)
chisq.test(table(sudan$gruppe, sudan$geschlecht))

malaria  <- (sudan$gruppe %in% c("Malaria", "Diabetes & Malaria")) * 1
malaria  <- factor(malaria, labels = c("ja", "nein"))
diabetes <- (sudan$gruppe %in% c("Diabetes", "Diabetes & Malaria")) * 1
diabetes <- factor(diabetes, labels = c("ja", "nein"))
prop.table(table(malaria, sudan$geschlecht), 1)
chisq.test(table(malaria, sudan$geschlecht))
prop.table(table(diabetes, sudan$geschlecht), 1)
chisq.test(table(diabetes, sudan$geschlecht))

# Aufgabe 10
prop.table(table(lehrer$alter, lehrer$interesse), 1)
chisq.test(table(lehrer$alter, lehrer$interesse))


# Kapitel 8
#-----------

# Aufgabe 1
t.test(mannfrau$gre.frau, mu = 165)
t.test(mannfrau$gre.mann, mu = 180)

# Aufgabe 2
mean(platin$kcal)
shapiro.test(platin$kcal)
wilcox.test(platin$kcal, mu = 135)

# Aufgabe 3
schlafen <- c(1.2, 2.4, 1.3, 1.3, 0, 1, 1.8, 0.8, 4.6, 1.4)
shapiro.test(schlafen)
wilcox.test(schlafen)

# Aufgabe 4
plot(kino$alter, kino$kino)
shapiro.test(kino$alter)
shapiro.test(kino$kino)
cor.test(kino$alter, kino$kino, method = "spearman")

# Aufgabe 5
shapiro.test(pisa$lesen)
shapiro.test(pisa$mathematik)
shapiro.test(pisa$naturwissenschaft)
cor.test(pisa$lesen, pisa$mathematik)
cor.test(pisa$lesen, pisa$naturwissenschaft)
cor.test(pisa$mathematik, pisa$naturwissenschaft)

# Aufgabe 6
cor.test(ameisen$masse.ameise, ameisen$masse.blatt)
cor.test(ameisen$masse.ameise, ameisen$zeit)

# Aufgabe 7
shapiro.test(managergehaelter$gehalt.fix.06)
shapiro.test(managergehaelter$gehalt.variabel.06)
shapiro.test(managergehaelter$ebit.06)
shapiro.test(managergehaelter$gehalt.fix.07)
shapiro.test(managergehaelter$gehalt.variabel.07)
shapiro.test(managergehaelter$ebit.07)
cor.test(managergehaelter$gehalt.fix.06, managergehaelter$ebit.06, , method = "spearman")
cor.test(managergehaelter$gehalt.variabel.06, managergehaelter$ebit.06, , method = "spearman")
cor.test(managergehaelter$gehalt.fix.07, managergehaelter$ebit.07, , method = "spearman")
cor.test(managergehaelter$gehalt.variabel.07, managergehaelter$ebit.07, , method = "spearman")

# Aufgabe 8
reg.kastanien <- lm(kastanien$alter ~ kastanien$durchmesser)
summary(reg.kastanien)
reg.kastanien$coefficients[1] + reg.kastanien$coefficients[2] * 9

shapiro.test(reg.kastanien$residuals)
plot(reg.kastanien$fitted.values, rstandard(reg.kastanien))
abline(h = 2, lty = 2, lwd = 2)
abline(h = -2, lty = 2, lwd = 2)

# Aufgabe 9
reg.olympia <- lm(olympia$weitsprung ~ olympia$laufen.100)
summary(reg.olympia)

summary(lm(olympia$weitsprung ~ olympia$kugel))$r.squared
summary(lm(olympia$weitsprung ~ olympia$hochsprung))$r.squared
summary(lm(olympia$weitsprung ~ olympia$laufen.400))$r.squared
summary(lm(olympia$weitsprung ~ olympia$hrden))$r.squared
summary(lm(olympia$weitsprung ~ olympia$diskus))$r.squared
summary(lm(olympia$weitsprung ~ olympia$stabhoch))$r.squared
summary(lm(olympia$weitsprung ~ olympia$speer))$r.squared
summary(lm(olympia$weitsprung ~ olympia$laufen.1500))$r.squared

# Aufgabe 10
summary(lm(luft$o.3 ~ luft$so.2))$r.squared
summary(lm(luft$o.3 ~ luft$co))$r.squared
summary(lm(luft$o.3 ~ luft$no))$r.squared
summary(lm(luft$o.3 ~ luft$no.2))$r.squared
summary(lm(luft$o.3 ~ luft$staub))$r.squared

reg.ozon <- lm(luft$o.3 ~ luft$no)
shapiro.test(reg.ozon$residuals)
plot(reg.ozon$fitted.values, rstandard(reg.ozon), ylim = c(-2.5, 2.5))
abline(h = 2, lty = 2, lwd = 2)
abline(h = -2, lty = 2, lwd = 2)

# Aufgabe 11
reg.punkte <- lm(fussball2014$punkte ~ fussball2014$etat)
summary(reg.punkte)
reg.punkte$coefficients[1] + reg.punkte$coefficients[2] * 25

# Aufgabe 12
shapiro.test(yoga$differenz)
t.test(yoga$differenz) # alternativ: t.test(yoga$vorher, yoga$nachher, paired = T)

# Aufgabe 13
apply(na.omit(data.frame(erstis$zuf.inh.1, erstis$zuf.inh.2)), 2, mean)
apply(na.omit(data.frame(erstis$zuf.bed.1, erstis$zuf.bed.2)), 2, mean)
shapiro.test(erstis$zuf.inh.1 - erstis$zuf.inh.2)
shapiro.test(erstis$zuf.bed.1 - erstis$zuf.bed.2)
wilcox.test(erstis$zuf.inh.1, erstis$zuf.inh.2, paired = T)
t.test(erstis$zuf.bed.1, erstis$zuf.bed.2, paired = T)


# Kapitel 9
#-----------

# Aufgabe 1
tapply(bienen$honig, bienen$volk, mean)
tapply(bienen$honig, bienen$volk, shapiro.test)
var.test(bienen$honig ~ bienen$volk)
t.test(bienen$honig ~ bienen$volk, var.equal = T)

# Aufgabe 2
tapply(eis$kalorien, eis$methode, mean)
tapply(eis$kalorien, eis$methode, shapiro.test)
var.test(eis$kalorien ~ eis$methode)
t.test(eis$kalorien ~ eis$methode, var.equal = T)

# Aufgabe 3
tapply(cholesterin$chol.wert, cholesterin$altersgruppe, mean)
tapply(cholesterin$chol.wert, cholesterin$altersgruppe, shapiro.test)
var.test(cholesterin$chol.wert ~ cholesterin$altersgruppe)
t.test(cholesterin$chol.wert ~ cholesterin$altersgruppe, var.equal = T)

# Aufgabe 4
tapply(erstis$prok, erstis$geschl, mean)
tapply(erstis$prok, erstis$geschl, shapiro.test)
var.test(erstis$prok ~ erstis$geschl)
t.test(erstis$prok ~ erstis$geschl)

# Aufgabe 5
tapply(sudan$alter, sudan$geschlecht, mean)
tapply(sudan$bmi, sudan$geschlecht, mean)
tapply(sudan$blutglukose, sudan$geschlecht, mean)
tapply(sudan$alter, sudan$geschlecht, shapiro.test)
tapply(sudan$bmi, sudan$geschlecht, shapiro.test)
tapply(sudan$blutglukose, sudan$geschlecht, shapiro.test)
wilcox.test(sudan$alter ~ sudan$geschlecht)
wilcox.test(sudan$bmi ~ sudan$geschlecht)
wilcox.test(sudan$blutglukose ~ sudan$geschlecht)

tapply(sudan$alter, sudan$gruppe, mean)
tapply(sudan$bmi, sudan$gruppe, mean)
tapply(sudan$blutglukose, sudan$gruppe, mean)
tapply(sudan$alter, sudan$gruppe, shapiro.test)
tapply(sudan$bmi, sudan$gruppe, shapiro.test)
tapply(sudan$blutglukose, sudan$gruppe, shapiro.test)
kruskal.test(sudan$alter ~ sudan$gruppe)
pairwise.wilcox.test(sudan$alter, sudan$gruppe)
kruskal.test(sudan$bmi ~ sudan$gruppe)
pairwise.wilcox.test(sudan$bmi, sudan$gruppe)
kruskal.test(sudan$blutglukose ~ sudan$gruppe)
pairwise.wilcox.test(sudan$blutglukose, sudan$gruppe)

# Aufgabe 6
tapply(ph.daten$ph, ph.daten$beregnung, mean)
tapply(ph.daten$ph, ph.daten$beregnung, shapiro.test)
kruskal.test(ph.daten$ph ~ ph.daten$beregnung)

# Aufgabe 7
tapply(lagz$dmft, lagz$klasse, mean)
tapply(lagz$dmft, lagz$klasse, shapiro.test)
var.test(lagz$dmft ~ lagz$klasse)
t.test(lagz$dmft ~ lagz$klasse)

lagz.6 <- subset(lagz, klasse == 6)
lagz.9 <- subset(lagz, klasse == 9)
tapply(lagz.6$dmft, lagz.6$schulart, mean)
tapply(lagz.9$dmft, lagz.9$schulart, mean)
anova(lm(lagz.6$dmft ~ lagz.6$schulart))
TukeyHSD(aov(lagz.6$dmft ~ lagz.6$schulart))
anova(lm(lagz.9$dmft ~ lagz.9$schulart))
TukeyHSD(aov(lagz.9$dmft ~ lagz.9$schulart))

# Aufgabe 8
tapply(so2$messwert, so2$regierungsbezirk, mean)
# parametrisch
bartlett.test(so2$messwert ~ so2$regierungsbezirk)
oneway.test(so2$messwert ~ so2$regierungsbezirk)
pairwise.t.test(so2$messwert, so2$regierungsbezirk)
# nichtparametrisch
kruskal.test(so2$messwert ~ so2$regierungsbezirk)
pairwise.wilcox.test(so2$messwert, so2$regierungsbezirk)

